System.Json 4.0.0.0 System.Json.JsonValue System.Collections.Generic.ICollection<System.Collections.Generic.KeyValuePair<System.String,System.Json.JsonValue>> System.Collections.Generic.IDictionary<System.String,System.Json.JsonValue> System.Collections.Generic.IEnumerable<System.Collections.Generic.KeyValuePair<System.String,System.Json.JsonValue>> To be added.

Represents a Json object.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using items.

  The collection of items.
- Constructor
  4.0.0.0
  System.ParamArray
  To be added.

  Initializes a new instance of the class using items.

  The collection of items.
- Method
  4.0.0.0
  System.Void `` To be added. To be added.

  Adds a key/value pair to the JSON CLR object.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Adds a key/value pair to the JSON CLR object type.

  The key for the element added. The JsonValue for the element added.
- Method
  4.0.0.0
  System.Void `` To be added.

  Adds a specified of key/value pairs to the current instance of the JsonObject.

  The collections of items to add.
- Method
  4.0.0.0
  System.Void `System.ParamArray` To be added.

  Adds a specified array of key/value pairs to the current instance of JsonObject.

  The collections of items to add.
- Method
  4.0.0.0
  System.Void To be added.

  Removes all key/value pairs from the JSON CLR object.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Checks whether a key/value pair with a specified key exists in the JSON CLR object type.

  True if the JSON CLR object contains the key; otherwise, false.

  The key to check for.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Copies the contents of the JSON CLR object into a specified key/value destination array beginning at a specified index.

  The destination array type to which the elements of the JsonObject are copied. The zero based index at which to begin the insertion of the contents from the JSON CLR object type.
- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of key/value pairs in the JsonObject.

- Method
  4.0.0.0
  System.Collections.Generic.IEnumerator<System.Collections.Generic.KeyValuePair<System.String,System.Json.JsonValue>> To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Json.JsonValue `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Json.JsonType To be added. To be added.

  Gets the JSON type of the JsonObject.

- Property
  4.0.0.0
  System.Collections.Generic.ICollection<System.String> To be added. To be added.

  Gets a collection that contains the keys in the JsonObject.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Removes the key/value pair with a specified from the JSON CLR object type.

  True if the element is successfully found and removed; otherwise, false.

  The key of the item to remove.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Collections.IEnumerator To be added.

  Returns an enumerator that iterates through the key/value pairs in the JsonObject.

  An enumerator that iterates through the key/value pairs in the JsonObject.

- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Collections.Generic.ICollection<System.Json.JsonValue> To be added. To be added.

  Gets the collection that contains the values in the JsonObject.